/***************************************************************************
                          kbeartags.h  -  description
                             -------------------
    begin                : fre jan 10 2003
    copyright            : (C) 2003 by Bjrn Sahlstrm
    email                : kbjorn@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KBEAR_TAGS_H
#define KBEAR_TAGS_H


//////////////////////////////////////////////////////////////////////
// Qt specific include files
#include <qstring.h>
//////////////////////////////////////////////////////////////////////
// KDE specific include files
//////////////////////////////////////////////////////////////////////
// System specific include files
//////////////////////////////////////////////////////////////////////
// Application specific include files


namespace KBear {
	extern const QString TAG_CONNECTION; 
	extern const QString TAG_SITES; 
	extern const QString TAG_GROUP; 
	extern const QString TAG_SITE; 
	extern const QString TAG_PROTOCOL; 
	extern const QString TAG_HOST; 
	extern const QString TAG_PORT; 
	extern const QString TAG_ANONYMOUS; 
	extern const QString TAG_USER; 
	extern const QString TAG_PASS; 
	extern const QString TAG_REMOTE_PATH; 
	extern const QString TAG_LOCAL_PATH; 
	extern const QString TAG_DESCRIPTION; 
	extern const QString TAG_DISABLE_PASV; 
	extern const QString TAG_DISABLE_EPASV; 
	extern const QString TAG_DISABLE_LOG; 
	extern const QString TAG_LIST_COMMAND; 
/* Removed since this is now a globally option
	extern const QString TAG_ASCII;
*/
	extern const QString TAG_MDTM;
	extern const QString TAG_MARK_PARTIAL; 
	extern const QString TAG_AUTO_RECONNECT; 
	extern const QString TAG_UNIX; 
	extern const QString TAG_QUEUE; 
	extern const QString TAG_SINGLE_CONNECTION; 
	extern const QString TAG_FILESYS_ENCODING; 

	extern const QString ATT_ENCODING; 
	extern const QString ATT_VERSION;
	extern const QString ATT_LABEL; 
	extern const QString ATT_PARENT; 
	extern const QString ATT_SLEEP; 
	extern const QString ATT_COUNT; 
}
#endif
 
